<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>A Song of Ice and Fire Encyclopedia</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="keywords" content="plot, deaths, encyclopedia, information, fan page, game of thrones, a song of ice and fire">
    <meta name="description" content="This page shows you the number of named deaths per book of the 'A Song of Ice and Fire' series.">
    <link rel="stylesheet" type="text/css" media="screen" href="../main.css" />
    <link href="../flot/examples/shared/jquery-ui/jquery-ui.min.css" rel="stylesheet" type="text/css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script src="../flot/jquery.flot.js"></script>
    <script src="../flot/jquery.flot.categories.js"></script>
    <script src="../flot/jquery.flot.selection.js"></script>
    <script src="../flot/jquery.flot.resize.js"></script>
    <script src="../scripts/util.js"></script>
    <script src="../scripts/context.js"></script>
    <script src="../scripts/plot.js"></script>
</head>

<body>
    <header>
        <img id="banner" src="../images/banner.jpg" alt="Banner" />
    </header>
    <nav>
        <div class="menu-item">
            <a href="../index.html">Home</a>
        </div>
        <div class="dropdown">
            <button class="dropdown-button">Families</button>
            <div class="dropdown-content">
                <a href="../families/targaryen.html">Targaryen</a>
                <a href="../families/stark.html">Stark</a>
            </div>
        </div>

        <div class="dropdown">
            <button class="dropdown-button">Continents</button>
            <div class="dropdown-content">
                <a href="../ontinents/westeros.html">Westeros</a>
                <a href="../continents/essos.html">Essos</a>
            </div>
        </div>

        <div class="dropdown">
            <button class="dropdown-button">Extra</button>
            <div class="dropdown-content">
                <a href="knowledgebase.html">Site Contents</a>
                <a href="plot.html">Death Plot</a>
            </div>
        </div>
    </nav>
    <main>
        <section>
            <h1>Graph</h1>
            <div class="graph">
                <div id="placeholder"></div>
                <div id="overview"></div>
            </div>
            <p>
                <label><input id="enablePosition" type="checkbox" checked="checked"></input>Show mouse position</label>
                <span id="hoverdata"></span>
                <label><input id="enableTooltip" type="checkbox" checked="checked"></input>Enable tooltip</label>
            </p>
            <p class="message"></p>
        </section>
        <section>
            <h2>Deaths:</h2>
            <div id = "clickdata">
                <ul></ul>
            </div>
        </section>
        <section>
            <h2>Functionality</h2>
            <p>The graph contains some interactive functionality. The following interactivity is supported:</p>
            <ul>
                <li>Zooming in and out. Zooming in is done by making a selection within the graph by dragging your left-mouse
                    button over the graph. To zoom-out select the entire graph in the overview window that can be found at
                    the right of the graph.</li>
                <li>You can resize the graph. This can be done by dragging the bottom or right side of the container.</li>
                <li>The plot is hoverable and clickable. Try hovering over a part of the graph with your mouse. If you click on
                    one of the bars in the graph, it will show you the named deaths.</li>
            </ul>
        </section>
    </main>
    <footer>
        <a href="#top">Go to top</a>
        <p> Authored by: Carlijn Nijhuis and Iwan Boksebeld. Sources:
            <a href="frompagestopictures.wordpress.com/book-banners"
                target="null">From Pages to Pictures Book Banners</a>
            &
            <a href="https://scifi.stackexchange.com/questions/66717/is-there-a-table-of-all-deaths-in-a-song-of-ice-and-fire"
                target="null">Deathlist</a>
            <a id="valid" href="http://jigsaw.w3.org/css-validator/" target="null">
                <img style="border:0;width:88px;height:31px" src="http://jigsaw.w3.org/css-validator/images/vcss-blue" alt="Valid CSS!">
            </a>
        </p>
    </footer>
</body>

</html>